## debconf 1.5.36ubuntu4

=== Makefile ===
MUNGE=xargs perl -i.bak -ne ' \
		print $$_."\# This file was preprocessed, do not edit!\n" \
			if m:^\#!/usr/bin/perl:; \
		$$cutting=1 if /^=/; \
		$$cutting="" if /^=cut/; \
		next if /use lib/; \
		next if $$cutting || /^(=|\s*\#)/; \
		print $$_ \
	'

all:
	$(MAKE) -C doc
	$(MAKE) -C po

clean:
	find . \( -name \*~ -o -name \*.pyc -o -name \*.pyo \) | xargs rm -f
	$(MAKE) -C doc clean
	$(MAKE) -C po clean
	#remove generated file
	rm -f DebConf/FrontEnd/Kde/Ui_DebconfWizard.pm

# Does not attempt to install documentation, as that can be fairly system
# specific.
install: install-utils install-rest

# Anything that goes in the debconf-utils package.
install-utils:
	install -d $(prefix)/usr/bin
	find . -maxdepth 1 -perm +100 -type f -name 'debconf-*' | grep -v debconf-set-selections | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-communicate | grep -v debconf-apt-progress | grep -v debconf-escape | \
		xargs -i install {} $(prefix)/usr/bin

# Anything that goes in the debconf-i18n package.
install-i18n:
	$(MAKE) -C po install

# Install all else.
install-rest:
	install -d $(prefix)/etc \
		$(prefix)/var/cache/debconf \
		$(prefix)/usr/share/debconf \
		$(prefix)/usr/share/pixmaps
	install -m 0644 debconf.conf $(prefix)/etc/
	install -m 0644 debian-logo.png $(prefix)/usr/share/pixmaps/
	# This one is the ultimate backup copy.
	grep -v '^#' debconf.conf > $(prefix)/usr/share/debconf/debconf.conf
	#build the Qt ui file
	cd $(CURDIR)/Debconf/FrontEnd/Kde/ && bash generateui.sh
	# Make module directories.
	find Debconf -type d |grep -v CVS | \
		xargs -i install -d $(prefix)/usr/share/perl5/{}
	install -d \
		$(prefix)/usr/lib/python2.6/dist-packages/ \
		$(prefix)/usr/lib/python2.7/dist-packages/ \
		$(prefix)/usr/lib/python3/dist-packages/
	# Install modules.
	find Debconf -type f -name '*.pm' |grep -v CVS | \
		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
	install -m 0644 debconf.py $(prefix)/usr/lib/python2.6/dist-packages/
	install -m 0644 debconf.py $(prefix)/usr/lib/python2.7/dist-packages/
	install -m 0644 debconf3.py $(prefix)/usr/lib/python3/dist-packages/debconf.py
	# Special case for back-compatability.
	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
	cp Debconf/Client/ConfModule.stub \
		$(prefix)/usr/share/perl5/Debian/DebConf/Client/ConfModule.pm
	# Other libs and helper stuff.
	install -m 0644 confmodule.sh confmodule $(prefix)/usr/share/debconf/
	install frontend $(prefix)/usr/share/debconf/
	install -m 0755 transition_db.pl fix_db.pl $(prefix)/usr/share/debconf/
	# Install essential programs.
	install -d $(prefix)/usr/sbin $(prefix)/usr/bin
	find . -maxdepth 1 -perm +100 -type f -name 'dpkg-*' | \
		xargs -i install {} $(prefix)/usr/sbin
	find . -maxdepth 1 -perm +100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections -or -name debconf-apt-progress -or -name debconf-escape | \
		xargs -i install {} $(prefix)/usr/bin
	# Now strip all pod documentation from all .pm files and scripts.
	find $(prefix)/usr/share/perl5/ $(prefix)/usr/sbin		\
	     $(prefix)/usr/share/debconf/frontend 			\
	     $(prefix)/usr/share/debconf/*.pl $(prefix)/usr/bin		\
	     -name '*.pl' -or -name '*.pm' -or -name 'dpkg-*' -or	\
	     -name 'debconf-*' -or -name 'frontend' | 			\
	     grep -v Client/ConfModule | $(MUNGE)
	find $(prefix) -name '*.bak' | xargs rm -f

demo:
	PERL5LIB=. ./frontend samples/demo

=== debian/changelog ===
debconf (1.5.36ubuntu4) natty; urgency=low

  * Mark debconf Multi-Arch: foreign to indicate that it satisfies the
    dependencies of packages from other than the native arch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 20 Feb 2011 02:11:47 -0800

debconf (1.5.36ubuntu3) natty; urgency=low

  [ Martin Pitt ]
  * Debconf/FrontEnd/Gnome.pm: Port from Gnome2::Druid to Gtk2::Assistant.
    Original patch by Jani Monoses, thanks! (LP: #415038)
  * Debconf/Element/Gnome/Select.pm: Drop unused Gnome2 import.
  * debian/control: Change libgnome2-perl suggestion to libgtk2-perl
    accordingly.

  [ Colin Watson ]
  * Fix Gnome frontend to honour backup capability again, and make backup
    page handling work properly.
  * Version libgtk2-perl Suggests to match the upstream version where
    Gtk2::Assistant was introduced.
  * Convert from deprecated Gtk2::Combo to Gtk2::ComboBox.
  * Make sure you can't press Forward on a progress bar in the Gnome
    frontend.
  * Backport from trunk:
    - Correctly handle disabling the backup capability in a confmodule after
      it was previously enabled.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Dec 2010 13:47:36 +0000

debconf (1.5.36ubuntu2) natty; urgency=low

  * Support Python 2.7.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Dec 2010 00:04:06 +0000

debconf (1.5.36ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.
    - Build for python2.6, and not for python2.4 or python2.5.
    - Convert debconf.py for python3.1 and install.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Nov 2010 15:24:17 +0000

debconf (1.5.36) unstable; urgency=low

  [ Debconf translation updates ]
  * Spanish (Javier Fernández-Sanguino Peña).  Closes: #592176
  * Icelandic added (Sveinn í Felli).
  * Telugu (Arjuna Rao Chavala).  Closes: #593095
  * Arabic (Ossama Khayat).  Closes: #595453
  * Danish (Joe Hansen).  Closes: #595439
  * Turkish (Recai Oktas).
  * Malayalam (Saji Nediyanchath).
  * Hindi (Kumar Appaiah).
  * Japanese (Kenshi Muto).  Closes: #595469
  * Korean (Changwoo Ryu).  Closes: #595517
  * Indonesian (Arief S Fitrianto).  Closes: #596197
  * Lithuanian (Kęstutis Biliūnas).  Closes: #596204
  * Portuguese (Miguel Figueiredo).  Closes: #596508
  * Persian (Behrad Eslamifar).  Closes: #590697

  [ Programs translation updates ]
  * Spanish (Javier Fernández-Sanguino Peña).  Closes: #592178

 -- Colin Watson <cjwatson@debian.org>  Mon, 04 Oct 2010 13:27:50 +0100

debconf (1.5.35) unstable; urgency=low

  [ Sune Vuorela ]
  * Resurrect the Kde frontend, ported to libqt4-perl.

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Aug 2010 16:20:05 +0100

debconf (1.5.34) unstable; urgency=low

  [ Debconf translation updates ]
  * Bosnian (Armin Beširović).
  * Kazakh added (Baurzhan Muftakhidinov).  Closes: #589006
  * Belarusian (Viktar Siarheichyk).  Closes: #591668

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * Handle ll[_CC]@modifier as a locale name.  Closes: #591633

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Aug 2010 17:53:52 +0100

debconf (1.5.33) unstable; urgency=low

  [ Debconf translation updates ]
  * Tamil added. Closes: #578280
  * Irish added. Closes: #578281
  * Romanian (Eddy Petrișor).  Closes: #582556
  * Khmer (Khoem Sokhem).
  * Traditional Chinese (Tetralet).  Closes: #587194
  * Galician (Jorge Barreiro).  Closes: #587795
  * Croatian (Josip Rodin).

  [ Manpages translation updates ]
  * Portuguese added. Closes: #588652

  [ Programs translation updates ]
  * Portuguese. Closes: #577586
  * Slovenian added. Closes: #585115
  * Traditional Chinese (Tetralet).  Closes: #587195
  * Slovak (Ivan Masár).  Closes: #587806

  [ Joey Hess ]
  * Fix new initialized value warning from perl 5.12.
    Closes: #578849

  [ Colin Watson ]
  * Remove carriage return characters from Swedish programs translation.  In
    some cases these were in the middle of a line, breaking the format for
    strict parsers.

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Jul 2010 13:10:04 +0100

=== debian/control ===
Source: debconf
Section: admin
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Standards-Version: 3.8.3
Build-Depends-Indep: perl (>= 5.10.0-16), python, python-central (>= 0.6.11), gettext (>= 0.13), libintl-perl, libqtgui4-perl
Build-Depends: debhelper (>= 7.0.50~), po-debconf, po4a (>= 0.23)
XS-Debian-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debconf/ubuntu
XS-Python-Version: 2.6, 2.7, 3.1

Package: debconf
Priority: important
Pre-Depends: perl-base (>= 5.6.1-4)
Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
Provides: debconf-2.0
Replaces: debconf-tiny
Depends: debconf-i18n | debconf-english, ${misc:Depends}
Recommends: apt-utils (>= 0.5.1)
Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgtk2-perl (>= 1:1.130), libnet-ldap-perl, perl, libqtgui4-perl, libqtcore4-perl
XB-Python-Version: ${python:Versions}
Architecture: all
Multi-Arch: foreign
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.

Package: debconf-i18n
Section: localization
Priority: important
Conflicts: debconf-english, debconf-utils (<< 1.3.22)
Replaces: debconf (<< 1.3.0), debconf-utils (<< 1.3.22)
Architecture: all
Depends: debconf, liblocale-gettext-perl, libtext-iconv-perl, libtext-wrapi18n-perl, libtext-charwidth-perl, ${misc:Depends}
Description: full internationalization support for debconf
 This package provides full internationalization for debconf, including
 translations into all available languages, support for using translated
 debconf templates, and support for proper display of multibyte character
 sets.

Package: debconf-english
Priority: extra
Conflicts: debconf-i18n
Architecture: all
Depends: debconf, ${misc:Depends}
Description: small footprint English-only debconf
 This package is an alternative to the debconf-i18n package, intended for
 systems that are administered only in English, and low-footprint systems.
 If you install this package, debconf will not work properly in other
 languages, but you'll save half a megabyte of disk space.

Package: debconf-doc
Conflicts: debconf (<< 0.3.10)
Suggests: debian-policy (>= 3.5)
Depends: ${misc:Depends}
Section: doc
Architecture: all
Description: debconf documentation
 This package contains lots of additional documentation for Debconf,
 including the debconf user's guide, documentation about using different
 backend databases via the /etc/debconf.conf file, and a developer's guide
 to debconf.

Package: debconf-utils
Section: devel
Depends: debconf (>= 1.3.20), ${misc:Depends}
Conflicts: debconf (<< 0.1.0)
Replaces: debconf (<< 0.1.0)
Architecture: all
Description: debconf utilities
 This package contains some small utilities for debconf developers.

## debconf 1.5.36.1

=== Makefile ===
--- 
+++ 
@@ -49,15 +49,15 @@
 	find Debconf -type d |grep -v CVS | \
 		xargs -i install -d $(prefix)/usr/share/perl5/{}
 	install -d \
-		$(prefix)/usr/lib/python2.6/dist-packages/ \
-		$(prefix)/usr/lib/python2.7/dist-packages/ \
-		$(prefix)/usr/lib/python3/dist-packages/
+		$(prefix)/usr/lib/python2.4/site-packages/ \
+		$(prefix)/usr/lib/python2.5/site-packages/ \
+		$(prefix)/usr/lib/python2.6/dist-packages/
 	# Install modules.
 	find Debconf -type f -name '*.pm' |grep -v CVS | \
 		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
+	install -m 0644 debconf.py $(prefix)/usr/lib/python2.4/site-packages/
+	install -m 0644 debconf.py $(prefix)/usr/lib/python2.5/site-packages/
 	install -m 0644 debconf.py $(prefix)/usr/lib/python2.6/dist-packages/
-	install -m 0644 debconf.py $(prefix)/usr/lib/python2.7/dist-packages/
-	install -m 0644 debconf3.py $(prefix)/usr/lib/python3/dist-packages/debconf.py
 	# Special case for back-compatability.
 	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
 	cp Debconf/Client/ConfModule.stub \

=== debian/changelog ===
debconf (1.5.36.1) testing; urgency=low

  [ Christian Perrier ]
  * Fix encoding in Spanish translation. Closes: #607688
  * Fix encoding in Hebrew debconf translation.

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Jan 2011 14:28:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Colin Watson <cjwatson@ubuntu.com>
-XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.8.3
 Build-Depends-Indep: perl (>= 5.10.0-16), python, python-central (>= 0.6.11), gettext (>= 0.13), libintl-perl, libqtgui4-perl
 Build-Depends: debhelper (>= 7.0.50~), po-debconf, po4a (>= 0.23)
-XS-Debian-Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debconf/ubuntu
-XS-Python-Version: 2.6, 2.7, 3.1
+Vcs-Svn: svn://svn.debian.org/debconf/trunk/src/debconf
+XS-Python-Version: 2.4, 2.5, 2.6
 
 Package: debconf
 Priority: important
@@ -19,10 +17,9 @@
 Replaces: debconf-tiny
 Depends: debconf-i18n | debconf-english, ${misc:Depends}
 Recommends: apt-utils (>= 0.5.1)
-Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgtk2-perl (>= 1:1.130), libnet-ldap-perl, perl, libqtgui4-perl, libqtcore4-perl
+Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgnome2-perl, libnet-ldap-perl, perl, libqtgui4-perl, libqtcore4-perl
 XB-Python-Version: ${python:Versions}
 Architecture: all
-Multi-Arch: foreign
 Description: Debian configuration management system
  Debconf is a configuration management system for debian packages. Packages
  use Debconf to ask questions when they are installed.

=== debian/rules ===
#! /usr/bin/make -f

# Ensure that builds are self-hosting, which means I have to use the .pm
# files in this package, not any that may be on the system.
export PERL5LIB=.

%:
	dh $@ --with python-central

override_dh_auto_install:
	$(MAKE) prefix=`pwd`/debian/debconf-utils install-utils
	$(MAKE) prefix=`pwd`/debian/debconf-i18n install-i18n
	$(MAKE) prefix=`pwd`/debian/debconf install-rest

# Run dh_link earlier so that it has an opportunity to link documentation
# directories.
override_dh_installdocs:
	dh_link
	dh_installdocs

override_dh_installdebconf:
	# Don't modify postrm, I purge differently than normal packages
	# using me
	dh_installdebconf -n

override_dh_install:
	dh_install
	cp debian/apt.conf debian/debconf/etc/apt/apt.conf.d/70debconf
	cp bash_completion debian/debconf/etc/bash_completion.d/debconf

override_dh_installchangelogs:
	# Changelog reduction hack for debconf. Only include top 100 entries.
	perl -ne '$$c++ if /^debconf /; last if $$c > 100 ; print $$_' \
		< debian/changelog > debian/debconf.changelog
	dh_installchangelogs

override_dh_pycentral:
	# We use python-central for its nomove facility, so that debconf's
	# python modules are available even when debconf is unconfigured.
	DH_PYCENTRAL=nomove dh_pycentral -pdebconf -n

override_dh_compress:
	dh_compress -X demo.templates -X tutorial.templates

## debconf 1.5.40

=== debian/changelog ===
debconf (1.5.40) unstable; urgency=low

  [ Joey Hess ]
  * Updated Russian man page translation. Closes: #625935
  * Updated Galician translation of program po file. Closes: #626475
  * Add back documenation for the kde frontend.

  [ Martin Pitt ]
  * Debconf/FrontEnd/Gnome.pm: Port from Gnome2::Druid to Gtk2::Assistant.
    Original patch by Jani Monoses, thanks! (Closes: #542175, LP: #415038)
  * Debconf/Element/Gnome/Select.pm: Drop unused Gnome2 import.
  * debian/control: Change libgnome2-perl suggestion to libgtk2-perl
    accordingly.

  [ Colin Watson ]
  * Fix Gnome frontend to honour backup capability again, and make backup
    page handling work properly.
  * Version libgtk2-perl Suggests to match the upstream version where
    Gtk2::Assistant was introduced.
  * Convert from deprecated Gtk2::Combo to Gtk2::ComboBox.
  * Make sure you can't press Forward on a progress bar in the Gnome
    frontend.
  * debconf.py: Drop popen2 compatibility code.  subprocess has been
    available since Python 2.4, which is old enough that it was dropped from
    squeeze.
  * Build for all currently supported Python 2 versions (closes: #584844,
    #626706).
  * Convert to dh_python2 (closes: #603965, #616786).
  * Add Python 3 support.
  * Perl gets a bit confused by Debconf::Config and Debconf::Priority using
    each other, and objects to bareword use of priority_list in
    Debconf::Config if you do 'use strict; use Debconf::Priority' before
    Debconf::Config is loaded.  Work around this.  Thanks to James Hunt for
    pointing this out.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Jun 2011 22:50:23 +0100

debconf (1.5.39) unstable; urgency=low

  [ Joey Hess ]
  * Moved to a git repository. Updated control file fields.
  * Removed debconf-english dummy package, and dropped debconf-i18n to a
    Recommends. Debootstrap will still install debconf-i18n as it is
    priority Required.
  * debconf-set-selections: Fix comment handling to match description.
    In particular, continued lines that start with a "#" are not comments.
    And, comments only occur at the start of a line (possibly with some
    whitespace before). Closes: #589519
  * Updated Danish translation of program po file. Closes: #624645

  [ Steve Langasek ]
  * Mark debconf Multi-Arch: foreign to indicate that it satisfies the
    dependencies of packages from other than the native arch.  Closes:
    #614197

 -- Joey Hess <joeyh@debian.org>  Sat, 30 Apr 2011 12:21:12 -0400

debconf (1.5.38) unstable; urgency=low

  [ Colin Watson ]
  * Correctly handle disabling the backup capability in a confmodule after
    it was previously enabled.

  [ Christian Perrier ]
  * Fix encoding in Spanish translation. Closes: #607688
  * Fix encoding in Hebrew debconf translation.

  [ Joey Hess ]
  * Update copyright file to use DEP5 syntax, and expand with some
    historical data.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Jan 2011 19:46:27 -0400

debconf (1.5.37) unstable; urgency=low

  [ Manpages translation ]
  * Spanish added (huge thanks to Omar Campagne). Closes: #599401
  * French completed (Christian Perrier).

  [ Debconf translations ]
  * Icelandic (Sveinn í Felli).
  * Serbian (Janos Guljas).  Closes: #600142
  * Catalan (Jordi Mallach).  Closes: #600626
  * Dutch (Eric Spreen).  Closes: #603953
  * Greek (Emmanuel Galatoulas).  Closes: #604451
  * Dzongkha (dawa pemo).  Closes: #604458

  [ Helge Kreutzmann ]
  * Fix (mostly) typos. Thanks Florian Rehnisch <eixman@gmx.de> for noticing.
    Addresses: #518395.
    Also unfuzzy all translations as far as possible.
  * Update German translation where unfuzzing was not enough (actually a no-op
    as Florian already translated appropriately).

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Nov 2010 18:11:22 +0000

## debconf 1.5.40ubuntu1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	$(MAKE) -C doc clean
 	$(MAKE) -C po clean
 	#remove generated file
-	rm -f DebConf/FrontEnd/Kde/Ui_DebconfWizard.pm
+	rm -f Debconf/FrontEnd/Kde/Ui_DebconfWizard.pm
 
 # Does not attempt to install documentation, as that can be fairly system
 # specific.
@@ -32,6 +32,10 @@
 # Anything that goes in the debconf-i18n package.
 install-i18n:
 	$(MAKE) -C po install
+
+# This would probably be easier if we used setup.py ...
+PYTHON2_SUPPORTED := $(shell pyversions -s)
+PYTHON_SITEDIR = $(prefix)/usr/lib/$(1)/$(if $(filter 2.0 2.1 2.2 2.3 2.4 2.5,$(patsubst python%,%,$(1))),site-packages,dist-packages)
 
 # Install all else.
 install-rest:
@@ -48,16 +52,15 @@
 	# Make module directories.
 	find Debconf -type d |grep -v CVS | \
 		xargs -i install -d $(prefix)/usr/share/perl5/{}
-	install -d \
-		$(prefix)/usr/lib/python2.4/site-packages/ \
-		$(prefix)/usr/lib/python2.5/site-packages/ \
-		$(prefix)/usr/lib/python2.6/dist-packages/
 	# Install modules.
 	find Debconf -type f -name '*.pm' |grep -v CVS | \
 		xargs -i install -m 0644 {} $(prefix)/usr/share/perl5/{}
-	install -m 0644 debconf.py $(prefix)/usr/lib/python2.4/site-packages/
-	install -m 0644 debconf.py $(prefix)/usr/lib/python2.5/site-packages/
-	install -m 0644 debconf.py $(prefix)/usr/lib/python2.6/dist-packages/
+	set -e; for dir in $(foreach python,$(PYTHON2_SUPPORTED),$(call PYTHON_SITEDIR,$(python))); do \
+		install -d $$dir; \
+		install -m 0644 debconf.py $$dir/; \
+	done
+	install -d $(prefix)/usr/lib/python3/dist-packages
+	install -m 0644 debconf3.py $(prefix)/usr/lib/python3/dist-packages/debconf.py
 	# Special case for back-compatability.
 	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
 	cp Debconf/Client/ConfModule.stub \

=== debian/changelog ===
debconf (1.5.40ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Jun 2011 07:53:21 +0100

debconf (1.5.39ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Debconf/FrontEnd/Gnome.pm: Port from Gnome2::Druid to
      Gtk2::Assistant.
    - Debconf/Element/Gnome/Select.pm: Drop unused Gnome2 import.
    - debian/control: Change libgnome2-perl suggestion to libgtk2-perl
      accordingly.
    - Convert from deprecated Gtk2::Combo to Gtk2::ComboBox.
    - Make sure you can't press Forward on a progress bar in the Gnome
      frontend.
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.
    - Build for python2.7, and not for python2.4 or python2.5.
    - Convert debconf.py for python3.1 and install.
  * Dropped changes, merged in Debian:
    - Mark debconf Multi-Arch: foreign to indicate that it satisfies the
      dependencies of packages from other than the native arch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 12 Jun 2011 19:31:40 +0000

## debconf 1.5.41

=== debian/changelog ===
debconf (1.5.41) unstable; urgency=low

  [ Colin Watson ]
  * Make sure __pycache__ is removed on clean (from local python3 tests).

  [ Joey Hess ]
  * Fix IFS sanitization. Really fixes #381619.
  * dpkg-reconfigure, dpkg-preconfigure: Call cdebconf versions if
    the DEBCONF_USE_CDEBCONF variable is set. (Regis Boudin)

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Jul 2011 12:35:06 +0200

=== debian/control ===
Source: debconf
Section: admin
Priority: optional
Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.2
Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
Build-Depends: debhelper (>= 7.2.11~), po-debconf, po4a (>= 0.23)
Vcs-Git: git://git.debian.org/git/debconf/debconf.git
Vcs-Browser: http://git.debian.org/?p=debconf/debconf.git;a=summary
X-Python-Version: >= 2.4

Package: debconf
Priority: important
Pre-Depends: perl-base (>= 5.6.1-4)
Conflicts: cdebconf (<< 0.96), debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9b-20020814-1), whiptail (<< 0.51.4-11), whiptail-utf8 (<= 0.50.17-13), debconf-utils (<< 1.3.22)
Provides: debconf-2.0
Replaces: debconf-tiny
Depends: ${misc:Depends}
Recommends: apt-utils (>= 0.5.1), debconf-i18n
Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, libterm-readline-gnu-perl, libgtk2-perl (>= 1:1.130), libnet-ldap-perl, perl, libqtgui4-perl, libqtcore4-perl
Architecture: all
Multi-Arch: foreign
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.

Package: debconf-i18n
Section: localization
Priority: important
Conflicts: debconf-english, debconf-utils (<< 1.3.22)
Replaces: debconf (<< 1.3.0), debconf-utils (<< 1.3.22)
Architecture: all
Depends: debconf, liblocale-gettext-perl, libtext-iconv-perl, libtext-wrapi18n-perl, libtext-charwidth-perl, ${misc:Depends}
Description: full internationalization support for debconf
 This package provides full internationalization for debconf, including
 translations into all available languages, support for using translated
 debconf templates, and support for proper display of multibyte character
 sets.

Package: debconf-doc
Conflicts: debconf (<< 0.3.10)
Suggests: debian-policy (>= 3.5)
Depends: ${misc:Depends}
Section: doc
Architecture: all
Description: debconf documentation
 This package contains lots of additional documentation for Debconf,
 including the debconf user's guide, documentation about using different
 backend databases via the /etc/debconf.conf file, and a developer's guide
 to debconf.

Package: debconf-utils
Section: devel
Depends: debconf (>= 1.3.20), ${misc:Depends}
Conflicts: debconf (<< 0.1.0)
Replaces: debconf (<< 0.1.0)
Architecture: all
Description: debconf utilities
 This package contains some small utilities for debconf developers.

## debconf 1.5.42

=== debian/changelog ===
debconf (1.5.42) unstable; urgency=low

  [ Joey Hess ]
  * File DbDriver now creates the directory for the file if it is missing.
    (All other DbDrivers that write files already did this.) Closes: #636621
  
  [ Emmet Hikory ]
  * Display error messages in noninteractive frontend (Closes: #367497)

  [ Debconf translations ]
  * Polish (Michał Kułach).  Closes: #657264

  [ Manpages translations ]
  * German updated.
  * Portugese updated (Américo Monteiro).
  * Spanish updated. Closes: #636241
  * Sinhala; (Danishka Navin).  Closes: #641106
  * Russian updated. Closes: #656110

  [ Programs translations ]
  * Norwegian Bokmål updated. Closes: #654798

  [ Joey Hess ]
  * Add a belt-and-suspenders test that Text::CharWidth::mblen is not
    returning bogus values, before using Text::WrapI18n. See #641957
  * Avoid an uninitialized value warning when a blank line is received
    from the client. Closes: #651642

  [ Colin Watson ]
  * Remove all hardcoded executable paths, using a new Debconf::Path module.

  [ Raphaël Hertzog ]
  * Set environment variables expected by maintainer scripts. Closes:
    #560317
  * Do not hardcode the path of maintainer scripts, in order to support the
    multiarch layout.

  [ Colin Watson ]
  * Process any newly pending triggers after running maintainer scripts.

 -- Colin Watson <cjwatson@debian.org>  Wed, 14 Mar 2012 09:08:49 +0000

## debconf 1.5.42ubuntu1

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 clean:
 	find . \( -name \*~ -o -name \*.pyc -o -name \*.pyo \) | xargs rm -f
+	rm -rf __pycache__
 	$(MAKE) -C doc clean
 	$(MAKE) -C po clean
 	#remove generated file

=== debian/changelog ===
debconf (1.5.42ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.
  * Ubuntu's dpkg-query still uses ${PackageSpec} for multiarch support
    rather than the newer ${binary:Package}.  Support this as well for now.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2012 12:56:18 +0000

debconf (1.5.41ubuntu2) precise; urgency=low

  * Also look for whiptail in /bin/whiptail since it's been moved there
    in Ubuntu.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 10 Feb 2012 17:41:35 -0500

debconf (1.5.41ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Nov 2011 09:30:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Colin Watson <cjwatson@ubuntu.com>
+XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.2
 Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
 Build-Depends: debhelper (>= 7.2.11~), po-debconf, po4a (>= 0.23)
-Vcs-Git: git://git.debian.org/git/debconf/debconf.git
-Vcs-Browser: http://git.debian.org/?p=debconf/debconf.git;a=summary
+XS-Debian-Vcs-Git: git://git.debian.org/git/debconf/debconf.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=debconf/debconf.git;a=summary
+Vcs-Bzr: http://bazaar.launchpad.net/+branch/ubuntu/debconf
 X-Python-Version: >= 2.4
 
 Package: debconf

## debconf 1.5.46ubuntu1

=== debian/changelog ===
debconf (1.5.46ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Aug 2012 18:30:02 +0100

debconf (1.5.46) unstable; urgency=low

  [ Manpages translations ]
  * Put the Danish translation of manpages from #664901 in the right
    place (and also convert its encoding that was broken by a BTS bug)
  * Activate Danish translation of manpages by adding the needed addenda
    Closes: #664901
  
  [ Programs translations ]
  * Danish (Joe Dalton). Closes: #683191
  * Fix typo in the french translation of debconf-show(1)
    LP: #1025045    
  * Polish (Marcin Owsiany). Closes: #683207
  * Japanese (Kenshi Muto). Closes: #683223
  * Bengali PO file header fixed
  * Esperanto updated (Felipe Castro).
  * Indonesian updated (Andika Triwidada).
  * Simplified Chinese updated (Xingyou Chen).
  * Bulgarian updated (Damyan Ivanov). Closes: #683245
  * Russian (Yuri Kozlov). Closes: #683306
  * Slovak (Ivan Masár). Closes: #683341
  * French (Steve Petruzzello).
  * Basque (Iñaki Larrañaga Murgoitio). Closes: #683527
  * Czech (Miroslav Kure). Closes: #683548
  * Thai (Theppitak Karoonboonyanan). Closes: #683585
  * Portuguese (Miguel Figueiredo). Closes: #683615
  * Finnish (Tommi Vainikainen). Closes: #683967
  * Catalan (Jordi Mallach).
  * Vietnamese (Nguyễn Vũ Hưng).
  * Arabic (Ossama Khayat).
  * Hebrew (Lior Kaplan).

  [ David Prévot ]
  * Make sure to keep the previous strings while updating PO files.

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Aug 2012 13:17:14 +0100

debconf (1.5.45ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.
  * dpkg-reconfigure: Drop support for old dpkg-query ${PackageSpec}, since
    Ubuntu has a newer dpkg now.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Jul 2012 09:23:41 +0100

debconf (1.5.45) unstable; urgency=low

  [ Programs translations ]
  * German updated.

  [ Colin Watson ]
  * dpkg-reconfigure: Fix dpkg-query parsing when detecting which triggers
    are pending (LP: #1018884).

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Jul 2012 15:57:38 +0100

debconf (1.5.44ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.
    - Ubuntu's dpkg-query still uses ${PackageSpec} for multiarch support
      rather than the newer ${binary:Package}.  Support this as well for
      now.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jun 2012 10:07:20 +0100

debconf (1.5.44) unstable; urgency=low

  [ Debconf translations ]
  * Vietnamese (Hai Lang)
  * Latvian (Rūdolfs Mazurs).  Closes: #674707
  * Lithuanian (Rimas Kudelis).  Closes: #675699
  * Welsh (Daffyd Tomos).

  [ Joey Hess ]
  * File DbDriver: Get actual filename, following symlinks.
    This makes it possible to switch back and forth between
    debconf and cdebconf. Thanks, Regis Boudin

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jun 2012 19:03:42 -0400

debconf (1.5.43ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.
    - Ubuntu's dpkg-query still uses ${PackageSpec} for multiarch support
      rather than the newer ${binary:Package}.  Support this as well for
      now.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 May 2012 05:47:50 +0100

debconf (1.5.43) unstable; urgency=low

  [ Programs translations ]
  * Danish updated. Closes: #664901

  [ Debconf translations ]
  * Uyghur (Sahran). Closes: #627013
  * Serbian Latin (Janos Guljas). Closes: #600143

  [ Colin Watson ]
  * Make debconf.py Python 3-compatible directly, which only requires
    dropping pre-2.6 support (2.6 was in squeeze), and drop the separate
    debconf3.py implementation.  The previous Python 3 implementation
    expected read and write to be binary files, while this expects them to
    be text files.  Technically this is an interface break, but since
    'import debconf; debconf.Debconf()' was failing (since sys.stdin and
    sys.stdout are text files), I claim that nobody was using this until now
    anyway.

 -- Colin Watson <cjwatson@debian.org>  Sun, 06 May 2012 18:57:59 +0100

## debconf 1.5.49

=== debian/changelog ===
debconf (1.5.49) unstable; urgency=low

  * frontend: Don't set title in the maintainer script case when the
    action is “triggered”. This totally confuses the Debian Installer
    (“Configuring man-db” instead of “Configuring grub-pc”, notably).
    Closes: #679327

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Dec 2012 02:02:36 +0100

debconf (1.5.48) unstable; urgency=low

  * dpkg-reconfigure: Fix incorrect scoping of control_path that broke
    handling of multiple packages (closes: #690755, LP: #1076322).

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Dec 2012 13:31:38 +0000

debconf (1.5.47) unstable; urgency=low

  [ Manpages translations ]
  * German updated.

  [ Joey Hess ]
  * GTK frontend: Do additional probing in child process to catch cases
    where trying to use GTK will cause an otherwise uncatchable crash.
    Closes: #690776 Thanks, James Hunt
  * debconf-devel.7: Mention that CAPB capabilities are separated with spaces.
    Closes: #694626

  [ Colin Watson ]
  * dpkg-reconfigure: Fix trigger processing to cope properly if some of the
    triggered packages use debconf (closes: #686071).

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Dec 2012 13:18:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Colin Watson <cjwatson@ubuntu.com>
-XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
 Build-Depends: debhelper (>= 7.2.11~), po-debconf, po4a (>= 0.23)
-XS-Debian-Vcs-Git: git://git.debian.org/git/debconf/debconf.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=debconf/debconf.git;a=summary
-Vcs-Bzr: http://bazaar.launchpad.net/+branch/ubuntu/debconf
-X-Python-Version: >= 2.4
+Vcs-Git: git://git.debian.org/git/debconf/debconf.git
+Vcs-Browser: http://git.debian.org/?p=debconf/debconf.git;a=summary
+X-Python-Version: >= 2.6
 
 Package: debconf
 Priority: important

## debconf 1.5.49ubuntu1

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 		install -m 0644 debconf.py $$dir/; \
 	done
 	install -d $(prefix)/usr/lib/python3/dist-packages
-	install -m 0644 debconf3.py $(prefix)/usr/lib/python3/dist-packages/debconf.py
+	install -m 0644 debconf.py $(prefix)/usr/lib/python3/dist-packages/
 	# Special case for back-compatability.
 	install -d $(prefix)/usr/share/perl5/Debian/DebConf/Client
 	cp Debconf/Client/ConfModule.stub \

=== doc/Makefile ===
all: manpages
	./graph.pl `find .. -name \*.pm` > hierarchy.txt

pod2man=pod2man -c Debconf -r '' --utf8
manpages:
	cd man && po4a po4a/po4a.cfg
	for pod in man/*.pod; do \
		perl -pi -e 'if (not $$seen and /^=head1/) { print "=encoding UTF-8\n\n"; $$seen = 1; }' $$pod; \
	done
	install -d man/gen
	for num in 1 3 8; do \
		find man -maxdepth 1 -type f -name "*.$$num.pod" -printf '%P\n' | \
			xargs -i sh -c "cd man ; $(pod2man) --section=$$num {} > gen/\`basename {} .pod\`"; \
	done
	$(pod2man) --section=3 ../Debconf/Client/ConfModule.pm \
		> man/gen/Debconf::Client::ConfModule.3pm
	find .. -maxdepth 1 -perm +100 -type f \( -name debconf -or -name 'debconf-*' \) -printf '%P\n' | \
		xargs -i sh -c "cd .. ; $(pod2man) --section=1 {} > doc/man/gen/{}.1"
	find .. -maxdepth 1 -perm +100 -type f -name 'dpkg-*' -printf '%P\n' | \
		xargs -i sh -c "cd .. ; $(pod2man) --section=8 {} > doc/man/gen/{}.8"

clean:
	cd man && po4a --rm-translations po4a/po4a.cfg
	rm -f man/po4a/po/*~
	rm -f hierarchy.txt
	rm -rf man/gen

=== debian/changelog ===
debconf (1.5.49ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2013 10:03:04 +0000

debconf (1.5.48ubuntu1) raring; urgency=low

  * Resynchronise with Debian (LP: #1060249).  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Dec 2012 09:59:45 +0000

## debconf 1.5.51ubuntu2

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 # Anything that goes in the debconf-utils package.
 install-utils:
 	install -d $(prefix)/usr/bin
-	find . -maxdepth 1 -perm +100 -type f -name 'debconf-*' | grep -v debconf-set-selections | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-communicate | grep -v debconf-apt-progress | grep -v debconf-escape | \
+	find . -maxdepth 1 -perm /100 -type f -name 'debconf-*' | grep -v debconf-set-selections | grep -v debconf-show | grep -v debconf-copydb | grep -v debconf-communicate | grep -v debconf-apt-progress | grep -v debconf-escape | \
 		xargs -i install {} $(prefix)/usr/bin
 
 # Anything that goes in the debconf-i18n package.
@@ -72,9 +72,9 @@
 	install -m 0755 transition_db.pl fix_db.pl $(prefix)/usr/share/debconf/
 	# Install essential programs.
 	install -d $(prefix)/usr/sbin $(prefix)/usr/bin
-	find . -maxdepth 1 -perm +100 -type f -name 'dpkg-*' | \
+	find . -maxdepth 1 -perm /100 -type f -name 'dpkg-*' | \
 		xargs -i install {} $(prefix)/usr/sbin
-	find . -maxdepth 1 -perm +100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections -or -name debconf-apt-progress -or -name debconf-escape | \
+	find . -maxdepth 1 -perm /100 -type f -name debconf -or -name debconf-show -or -name debconf-copydb -or -name debconf-communicate -or -name debconf-set-selections -or -name debconf-apt-progress -or -name debconf-escape | \
 		xargs -i install {} $(prefix)/usr/bin
 	# Now strip all pod documentation from all .pm files and scripts.
 	find $(prefix)/usr/share/perl5/ $(prefix)/usr/sbin		\

=== po/Makefile ===
# List here all source files with translatable strings.
POTFILES=$(sort $(shell find ../Debconf -type f -name \*.pm)) \
	../dpkg-* ../debconf-* ../debconf

POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)

all: debconf.pot $(MOFILES)

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/debconf.mo; \
	done

debconf.pot: $(POTFILES)
	@echo "Rebuilding the pot file"
	xgettext $(POTFILES) -o debconf.pot -Lperl

clean:
	rm -f $(MOFILES) messages messages.mo

%.mo: %.po
	msgfmt -o $@ $<

%.po: debconf.pot
	@echo -n "Merging debconf.pot and $@"
	@msgmerge --previous $@ debconf.pot -o $@.new
	@mv -f $@.new $@
	@msgfmt --statistics $@

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

=== debian/changelog ===
debconf (1.5.51ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:56 +0000

debconf (1.5.51ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 08:12:59 -0700

debconf (1.5.51) unstable; urgency=low

  * Fix warning when /var/cache/debconf is missing.
    Closes: #709928
  * debconf-set-selections: Do not change the default template
    value when overriding the value of existing questions. Closes: #711693

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Aug 2013 13:26:46 -0400

debconf (1.5.50ubuntu1) saucy; urgency=low

  * Resynchronise with Debian (LP: #1047913).  Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 May 2013 13:26:38 +0100

debconf (1.5.50) unstable; urgency=low

  * KDE frontend: Work around multiple bugs in the perl code generated
    by puic4. The frontend works again. Closes: #702210
  * doc/Makefile: Avoid adding duplicated =encoding to pod files.
    Closes: #704866
  * Avoid find -perm +mode breakage caused by findutils 4.5.11,
    by instead using -perm /mode. Thanks, Oron Peled

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:45:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Colin Watson <cjwatson@ubuntu.com>
+XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.3
 Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
 Build-Depends: debhelper (>= 7.2.11~), po-debconf, po4a (>= 0.23)
-Vcs-Git: git://git.debian.org/git/debconf/debconf.git
-Vcs-Browser: http://git.debian.org/?p=debconf/debconf.git;a=summary
+XS-Debian-Vcs-Git: git://git.debian.org/git/debconf/debconf.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=debconf/debconf.git;a=summary
+Vcs-Bzr: http://bazaar.launchpad.net/+branch/ubuntu/debconf
 X-Python-Version: >= 2.6
 
 Package: debconf

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PERL5LIB=.
 
 %:
-	dh $@ --with python-central
+	dh $@ --with python2,python3
 
 override_dh_auto_install:
 	$(MAKE) prefix=`pwd`/debian/debconf-utils install-utils
@@ -34,10 +34,5 @@
 		< debian/changelog > debian/debconf.changelog
 	dh_installchangelogs
 
-override_dh_pycentral:
-	# We use python-central for its nomove facility, so that debconf's
-	# python modules are available even when debconf is unconfigured.
-	DH_PYCENTRAL=nomove dh_pycentral -pdebconf -n
-
 override_dh_compress:
 	dh_compress -X demo.templates -X tutorial.templates

## debconf 1.5.53

=== debian/changelog ===
debconf (1.5.53) unstable; urgency=low

  [ Apollon Oikonomopoulos ]
  * Teletype: page only if screen has more than two rows
    Closes: #745504

  [ Programs translations ]
  * German.
  * French (Christian Perrier).
  * Danish (Joe Hansen). Closes: #732167

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Apr 2014 20:03:26 -0400

debconf (1.5.52) unstable; urgency=low

  [Joey Hess]
  * Remove dpkg-reconfigure -a, which existed only to accumulate bug
    reports about bugs in other packages.
    Closes: #721329, #664825, #558262, #617618, #707987
  * Fix bad uses of length @array. Closes: #723841

  [ Programs translations ]
  * Russian (Yuri Kozlov). Closes: #718188

  [ Manpages translations ]
  * French updated. Closes: #697458
  * German updated.

 -- Joey Hess <joeyh@debian.org>  Sun, 03 Nov 2013 14:15:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: debconf
 Section: admin
 Priority: optional
-Maintainer: Colin Watson <cjwatson@ubuntu.com>
-XSBC-Original-Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
+Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends-Indep: perl (>= 5.10.0-16), python (>= 2.6.6-3~), python3 (>= 3.1.2-8), gettext (>= 0.13), libintl-perl, libqtgui4-perl
 Build-Depends: debhelper (>= 7.2.11~), po-debconf, po4a (>= 0.23)
-XS-Debian-Vcs-Git: git://git.debian.org/git/debconf/debconf.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=debconf/debconf.git;a=summary
-Vcs-Bzr: http://bazaar.launchpad.net/+branch/ubuntu/debconf
+Vcs-Git: git://git.debian.org/git/debconf/debconf.git
+Vcs-Browser: http://git.debian.org/?p=debconf/debconf.git;a=summary
 X-Python-Version: >= 2.6
 
 Package: debconf
